This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ShowGroup

1 - 1.4

get /v1/groups/{group_id}

Description

show a specific group

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
pathgroup_id
required
Group ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
queryinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/groups/{group_id}?instance_id={instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.4"

Example HTTP response

Response 200

{
    "group": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "description": "Group for administrators",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "instance_id": "ssoins-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "Admin_Group",
        "user_count": 1,
        "users": [
            {
                "id": "6fdd2a6d-6f4f-4157-8259-5d55e7dd1269",
                "name": "John Doe",
                "user_id": "johndoe"
            }
        ]
    }
}

2 - 1.3

get /v1/groups/{group_id}

Description

show a specific group

State ACTIVE (SUPPORTED)

VersionNot Before
1.320261130

Parameters

TypeNameDescriptionSchemaDefault
pathgroup_id
required
Group ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
queryinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/groups/{group_id}?instance_id={instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.3"

Example HTTP response

Response 200

{
    "group": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "description": "Group for administrators",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "instance_id": "ssoins-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "Admin_Group",
        "user_count": 1,
        "users": [
            {
                "id": "6fdd2a6d-6f4f-4157-8259-5d55e7dd1269",
                "name": "John Doe",
                "user_id": "johndoe"
            }
        ]
    }
}

3 - 1.2

get /v1/groups/{group_id}

Description

show a specific group

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260930

Parameters

TypeNameDescriptionSchemaDefault
pathgroup_id
required
Group ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
queryinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/groups/{group_id}?instance_id={instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.2"

Example HTTP response

Response 200

{
    "group": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "description": "Group for administrators",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "instance_id": "ssoins-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "Admin_Group",
        "user_count": 1,
        "users": [
            {
                "id": "6fdd2a6d-6f4f-4157-8259-5d55e7dd1269",
                "name": "John Doe",
                "user_id": "johndoe"
            }
        ]
    }
}

4 - 1.1

get /v1/groups/{group_id}

Description

show a specific group

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathgroup_id
required
Group ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
queryinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/groups/{group_id}?instance_id={instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.1"

Example HTTP response

Response 200

{
    "group": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "description": "Group for administrators",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "instance_id": "ssoins-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "Admin_Group",
        "user_count": 1,
        "users": [
            {
                "id": "6fdd2a6d-6f4f-4157-8259-5d55e7dd1269",
                "name": "John Doe",
                "user_id": "johndoe"
            }
        ]
    }
}

5 - 1.0

get /v1/groups/{group_id}

Description

show a specific group

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathgroup_id
required
Group ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
queryinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/groups/{group_id}?instance_id={instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.0"

Example HTTP response

Response 200

{
    "group": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "description": "Group for administrators",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "instance_id": "ssoins-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "Admin_Group",
        "user_count": 1,
        "users": [
            {
                "id": "6fdd2a6d-6f4f-4157-8259-5d55e7dd1269",
                "name": "John Doe",
                "user_id": "johndoe"
            }
        ]
    }
}